/* 
	2024.08.29 고도화
	도시생활지도 - 단계 구분도 css
	1. 범례(행정경계 격자경계 css)
	2. 단계 구분도 차트 
 */


 /* 1. 범례(행정경계 격자경계 css)  */
.step_grad_ul {
 	position: relative;
    display: flex;
    align-items: center;
    gap: 0.4rem;
    margin: 0;
    padding: 0;
    list-style: none;
    width: 150px;
 }
 
.step_grad_ul li {
    float: left;
    width: 50%;
}
 
.step_grad_ul li.on a{
    background-color: rgba(36, 107, 235, 0.8) !important;
    background-image: none !important;
    color: #fff !important;
    box-shadow: none !important;
}

.step_grad_ul li.off a {
    background-color: #fff;
    color: #040505;
}


.step_grad_ul li a {
    /* height: 18px; */
    padding:0.8rem;
    letter-spacing: -0.5px;
    word-spacing: -2px;
    display: block;
    margin-left: 0;
    margin-top: 0;
    width: auto;
    border: 1px solid #E4E4E4;
    border-radius: 0.4rem;
    font-size: 1.4rem;
    text-align: center;
    cursor: pointer;
    transition: 0.3s;
    text-decoration: none;
}

/* 2. 단계 구분도 차트  */
.map_gradeMapChart {
	 display: none; 
	 position: absolute;
	 bottom: 3px;
	 left: 0px;
	 z-index: 2001;
	 width: 100%; 
	 height: 420px;
	 left: 50%;
	 bottom: 0;
	 transform: translate(-50%, 0px);
	 background-color: #fff;
	 overflow-y: auto;  /* Y축 방향 스크롤 */
	 border: 1px solid #425881;
}

.map_gradeChartHead {
	display: flex;
    justify-content: space-between;
    margin-bottom: 6px;
}


.grade_ChartSet{
	display: flex;
    align-items: center;
    margin-left: 30px;
    margin-top: 10px;
}


.grade_ChartSet ul li {
	/* width : 150px; */
	float : left;
}

.grade_ChartBtn ul li {
	float : right;
}



.grade_ChartBtn{
	display: flex;
    align-items: center;
    margin-right: 10px;
}

.grade_ChartInfo{
	margin-top: 15px;
    margin-right: 250px;
}


.grade_ChartInfo h3{
	color: red;
}

.map_gradeChartBody {
 	overflow-x: auto;  /* X축 방향 스크롤 생성 */
    width: 100%; /* 스크롤 컨테이너의 고정된 너비 */
    white-space: nowrap; /* 가로 스크롤이 잘 작동하도록 */
}


/* 차트 그리기 */
/* .grade_chart {
    width: 2000px; 실제 차트의 너비를 더 크게 설정
} */
#y-axis-container {
    position: absolute;
    bottom: 0;
    width: 40px; /* y축을 포함할 컨테이너의 너비 */
    border-right: 1px solid #ccc;
    background: white;
    z-index: 1;
}
.grade_legend {
    display: flex;
    justify-content: center;
    margin-top: 10px;
}
.legend-item {
    margin-right: 10px;
    display: flex;
    align-items: center;
}
.legend-color {
    width: 20px;
    height: 20px;
    margin-right: 5px;
}
.grade_tooltip {
    position: absolute;
    text-align: center;
    padding: 5px;
    font: 12px sans-serif;
    background: white;
    border: 2px solid black;
    border-radius: 3px;
    pointer-events: none;
    z-index: 9999;
} 
#chart-button{
    margin-left: 47%;
    margin-bottom: 3px;
}

.legend-item {
        margin-right: 10px;
        display: flex;
        align-items: center;
 }
.legend-color {
    width: 20px;
    height: 20px;
    margin-right: 5px;
}

.pie_chart {
    display: flex;
    flex-wrap: nowrap; /* 차트가 가로로 나열되도록 설정 */
    padding: 20px; /* 패딩 추가 */
}


/* #gradMapSet {
	position: absolute;
    bottom: 300px;
    left: 8px;
    z-index: 1000;
    font-size: 12px;
    color: #000;
    letter-spacing: -0.5px;
    transition: all 0.3s ease 0s !important;
} */


#gradMapSet {
 	margin-bottom: 0;
    display: flex;
    align-items: center;
    gap: 0.4rem;
    padding: 0.4rem 0.4rem 0.4rem 0.8rem;
    background-color: #fff;
    border-radius: 0.4rem;
    box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.16);
}

#gradMapSet ul {
    display: flex;
    align-items: center;
    gap: 0.4rem;
    margin: 0;
    padding: 0;
    list-style: none;
}

#gradMapSet li {
    float: none;
    margin: 0;
}

#gradMapSet li a {
    display: block;
    margin-left: 0;
    margin-top: 0;
    padding: 0.4rem;
    width: auto;
    border: 1px solid #E4E4E4;
    border-radius: 0.4rem;
    font-size: 1.5rem;
    text-align: center;
    background-color: #fff;
    color: #1d1d1d;
    cursor: pointer;
    transition: 0.3s;
    box-shadow: none;
    text-decoration: none;
}

#gradMapSet li#gradeMapBtnWrap a {
    background-color: #3447D2;
    color: #fff;
}

#gradMapSet li.pw a {
    width: auto;
}

#gradMapSet li.pw2 a {
    width: auto;
}

#gradMapSet li.gradeMap_area a{
    width: auto;
}

#gradMapSet li.gradeMap_grid a {
    width: auto;
}

#gradMapSet li.on a {
    background-color: rgba(36, 107, 235, 0.8) !important;
    background-image: none !important;
    color: #fff !important;
    box-shadow: none !important;
}

#gradMapSet li.off a {
    background-color: #fff !important;
    color: #1d1d1d !important;
    box-shadow: none !important;
}

#gradMapSet li.not a {
    background-color: #fff;
    color: #1d1d1d;
}

#gradMapSet li a span {
    display: block;
    padding-top: 0;
    word-spacing: normal;
}



#detailColorGridPalette .colorPalette {
    cursor: pointer;
    float: left;
    width: 20px;
    height: 20px;
    border-radius: 20px;
    margin: 5px 2px;
}

.mapLegendModal .color {float:left; margin:10px 0px 0;}
.mapLegendModal .color li {float:left; width:16px; height:16px; margin-right:3px; border-radius:50px; cursor:pointer;}
.mapLegendModal .color li.check {
    background: url(../images/visual/checked.png) no-repeat center center;
    background-size: 12px 12px;
}

#mapGradeBtn {
    position: absolute;
    top: 10px;
    left: 10px;
    z-index: 998;
    display: none;
}

#mapGradeBtn .gradMap_set, #gradMapSet.gradMap_set {
    display: none;
}

#grade-legend{
    margin-bottom: 0;
    align-items: center;
    gap: 0.4rem;
    background-color: #fff;
    border-radius: 0.4rem;
    box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.16);
}